package com.nisum.mytime.service;

import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.RoleMappingInfo;

public interface RoleMappingService {

	void saveUniqueEmployeeAndRole(String employeeId, String roleId) throws MyTimeException;

	RoleMappingInfo updateEmployeeRoleInfo(RoleMappingInfo roleMappingInfo) throws MyTimeException;

	RoleMappingInfo getEmployeeAssignedRole() throws MyTimeException;

}
